UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Explorer
Explorer
557 Views
Registered: ‎12-20-2017

Newer kernel version for ZCU102 in petalinux 2017.3

I am currently using 2017.3 for my petalinux builds on a ZCU102.

 

However, I'm trying to get ptp working, and it is not cooperating.  I have an open request here on these forums, and it lacks any responses.

 

However, I notice there are very recent changes in linux-xlnx for the network drivers I'm using (drivers/net/ethernet/cadence/mac*).   I'd like to try these recent changes to see if they help.

 

I've tried changing the PREFERRED_VERSION from 4.9 to 4.14, and creating a new bb recipe file (in $PETALINUX/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/) that referenced the specific git hash that I needed ("23d6b424bd17513d1c09ef5f07c7d6e6adb12135").

 

This produced a kernel that failed to boot past the "bootconsole [cdns0] disabled" message.

 

From other forum posts, I understand that 2017.1-2017.4 only supports 4.9 (not 4.14).  However, I am really, really stuck here, as I need PTP to work, and I honestly believe that the ZCU102 does not support PTP.

 

Can anyone please advise?

 

 

0 Kudos
1 Reply
Moderator
Moderator
518 Views
Registered: ‎04-24-2017

Re: Newer kernel version for ZCU102 in petalinux 2017.3

Hi.

 

4.14 kernel is supported in 2018.1 we don't support 4.14.for 2017.x version.

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos